Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Interface SystemInfo

All Superinterfaces:
  AMX, AMXMBeanLogging, NotificationBroadcaster, NotificationEmitter

public interface SystemInfo
extends AMX

Provides information about the capabilities of the running server. Callers should check only for specific capabilities, never whether the server is PE/SE/EE, since the feature assortment could vary with release.

Field Summary
`static java.lang.String` | `CLUSTERS_FEATURE` Call supportsFeature() with this value to determine if the server supports clusters.
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.
`static java.lang.String` | `MULTIPLE_SERVERS_FEATURE` Call supportsFeature() with this value to determine if the server supports more than one server.
`static java.lang.String` | `RUNNING_IN_DAS_FEATURE` Call supportsFeature() with this value to determine if this MBean is running in the Domain Admin Server.

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.lang.String[]` | `getFeatureNames()` Return all features names.
`boolean` | `supportsFeature(java.lang.String key)` Query whether a feature is supported.

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

### CLUSTERS_FEATURE

    public static final java.lang.String CLUSTERS_FEATURE

  Call supportsFeature() with this value to determine if the server supports clusters.

  See Also:
    Constant Field Values

### MULTIPLE_SERVERS_FEATURE

    public static final java.lang.String MULTIPLE_SERVERS_FEATURE

  Call supportsFeature() with this value to determine if the server supports more than one server.

  See Also:
    Constant Field Values

### RUNNING_IN_DAS_FEATURE

    public static final java.lang.String RUNNING_IN_DAS_FEATURE

  Call supportsFeature() with this value to determine if this MBean is running in the Domain Admin Server.

  See Also:
    Constant Field Values

Method Detail

### supportsFeature

    public boolean supportsFeature(java.lang.String key)

  Query whether a feature is supported. Features require the use of a key, which may be any of:
  - CLUSTERS_FEATURE
  - MULTIPLE_SERVERS_FEATURE
  - RUNNING_IN_DAS_FEATURE

  Parameters:
    `key` - the feature to query

### getFeatureNames

    public java.lang.String[] getFeatureNames()

  Return all features names.

  Returns:
    Set

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.